Page MenuHomePhabricator

ecore-drm2: Don't use AtomicAddProperty for plane rotation
ClosedPublic

Authored by devilhorns on Mar 6 2019, 9:15 AM.

Details

Summary

Apparently something has been changed recently in libdrm
that causes AtomicAddProperty to fail when trying to set plane rotation. Until
this can be found & fixed, let's just disable trying to rotate
hardware planes with atomic commits.

ref T7690

@fix

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
devilhorns created this revision.Mar 6 2019, 9:15 AM
cedric requested changes to this revision.Mar 6 2019, 10:47 AM
cedric added inline comments.
src/lib/ecore_drm2/ecore_drm2_fb.c
417

I would prefer a #if 0 with a comment above explaining why this seems broken and ideally with which version it started to be broken.

This revision now requires changes to proceed.Mar 6 2019, 10:47 AM
devilhorns added inline comments.Mar 6 2019, 10:51 AM
src/lib/ecore_drm2/ecore_drm2_fb.c
417

Ok, no problem. I can do that

devilhorns updated this revision to Diff 20456.Mar 12 2019, 6:20 AM
devilhorns edited the summary of this revision. (Show Details)

Use #if 0 to comment out code block and add a comment about how/why

this is broken

devilhorns marked 2 inline comments as done.Mar 12 2019, 6:36 AM
zmike added a subscriber: zmike.Mar 14 2019, 8:14 AM
zmike added inline comments.
src/lib/ecore_drm2/ecore_drm2_fb.c
422

Isn't xf86-video-intel not a KMS driver and thus not relevant in this context? Could there be something else going on here?

devilhorns added inline comments.Mar 14 2019, 9:13 AM
src/lib/ecore_drm2/ecore_drm2_fb.c
422

Yea, it's actually kernel driver .. my bad. I can adjust the patch comment if needed

zmike added inline comments.Mar 14 2019, 9:45 AM
src/lib/ecore_drm2/ecore_drm2_fb.c
422

Would be great if you could, misleading comments are super confusing!

devilhorns updated this revision to Diff 20565.Mar 14 2019, 9:57 AM

Update patch based on review comments

devilhorns updated this revision to Diff 20727.Mar 19 2019, 7:22 AM
devilhorns added a reviewer: zmike.

no changes

This revision was not accepted when it landed; it landed in state Needs Review.Mar 22 2019, 9:42 AM
This revision was automatically updated to reflect the committed changes.